Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.scheduling.support
Class DelegatingErrorHandlingRunnable

    java.lang.Object
      org.springframework.scheduling.support.DelegatingErrorHandlingRunnable

All Implemented Interfaces:
  Runnable

    public class DelegatingErrorHandlingRunnable

extends Object
implements Runnable

Runnable wrapper that catches any exception or error thrown from its delegate Runnable and allows an `ErrorHandler` to handle it.

Since:
  3.0
Author:
  Juergen Hoeller, Mark Fisher

Constructor Summary
`DelegatingErrorHandlingRunnable(Runnable delegate, ErrorHandler errorHandler)` Create a new DelegatingErrorHandlingRunnable.

Method Summary
`void` | `run()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DelegatingErrorHandlingRunnable

    public DelegatingErrorHandlingRunnable(Runnable delegate,
                                           ErrorHandler errorHandler)

  Create a new DelegatingErrorHandlingRunnable.

  Parameters:
    `delegate` - the Runnable implementation to delegate to
    `errorHandler` - the ErrorHandler for handling any exceptions

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD